<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approval Asset Procurement</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
<section class="section">
    <div class="section-header">
        <h1>Pengadaan Aset</h1>
    </div>
    <div class="section-body">
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">

                        <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                            <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                        <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                            <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                        <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                            <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th> # </th>
                                    <th> Nama Barang </th>
                                    <th> Jumlah </th>
                                    <th>Satuan</th>
                                    <th> Spesifikasi </th>

                                    <!--                                <th> Harga Pokok </th>-->
                                    <!--                                <th> Total Harga Aset </th>-->
                                    <th> Status </th>
                                    <th></th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listApproval}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.namaAset}"></td>
                                    <td th:text="${data.jumlah}"></td>
                                    <td th:text="${data.satuan}"></td>
                                    <td>
                                        <button type="button" class="btn btn-primary btn-sm" data-backdrop="false" data-toggle="modal" th:data-target="${'#exampleModalGo' + data.id}">
                                            Lihat Detail
                                        </button>

                                        <!-- Modal -->
                                        <div class="modal fade" th:id="${'exampleModalGo' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="form-group">
                                                                <label>Spek Aset</label>
                                                                <p><b th:text="${data.spekAset}"></b></p>
                                                            </div>
                                                            <div class="form-group">
                                                                <label>Kegunaan</label>
                                                                <p><b th:text="${data.kegunaan}"></b></p>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                    <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.hargaAset, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                    <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.totalHarga, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                    <td th:if="${data.statusApproved == 'WAITING'}"><button class="btn btn-outline-warning btn-sm">WAITING</button></td>
                                    <td th:if="${data.statusApproved == 'APPROVED'}"><button class="btn btn-outline-success btn-sm">APPROVED</button></td>
                                    <td th:if="${data.statusApproved == 'REJECTED'}"><button class="btn btn-outline-danger btn-sm">REJECTED</button></td>
                                    <td>
                                        <span th:if="${data.statusApproved == 'APPROVED'}">-</span>
                                        <button th:if="${data.statusApproved != 'APPROVED'}" data-backdrop="false" type="button" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                            Approved
                                        </button>

                                        <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <form th:action="@{/approval/assetProcurement/approved(asetPengadaan = ${data.id})}" method="post">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            Do you want to Approved Data ?
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                            <button type="submit" class="btn btn-primary">Yes</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <span th:if="${data.statusApproved == 'REJECTED'}">-</span>
                                        <button th:if="${data.statusApproved != 'REJECTED'}" type="button" class="btn btn-danger btn-sm" data-backdrop="false" data-toggle="modal" th:data-target="${'#exampleModal1' + data.id}">
                                            Rejected
                                        </button>

                                        <div class="modal fade" th:id="${'exampleModal1' + data.id}"  tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <form th:action="@{/approval/assetProcurement/rejected}" method="post">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                <span aria-hidden="true">&times;</span>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="form-group">
                                                                <label>Keterangan Ditolak</label>
                                                                <input type="hidden" th:value="${data.id}" name="id">
                                                                <input type="hidden" th:value="${data.user.id}" name="user">
                                                                <input type="hidden" th:value="${data.namaAset}" name="namaAset">
                                                                <input type="hidden" th:value="${data.spekAset}" name="spekAset">
                                                                <input type="hidden" th:value="${data.jumlah}" name="jumlah">
                                                                <input type="hidden" th:value="${data.satuan}" name="satuan">
                                                                <input type="hidden" th:value="${data.kegunaan}" name="kegunaan">
                                                                <input type="hidden" th:value="${data.status}" name="status">
                                                                <input type="hidden" th:value="${data.statusPembayaran}" name="statusPembayaran">
                                                                <input type="hidden" th:value="${data.statusProses}" name="statusProses">
                                                                <input type="text" class="form-control" name="keteranganDitolak">
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                            <button type="submit" class="btn btn-primary">Yes</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                            <nav>
                                <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                    <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                                    <li class="page-item"><a class="page-link" href="#">4</a></li>
                                    <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</div>
</body>
</html>